TDatabaseException (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TDatabaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - com.sleepycat.thrift.TDatabaseException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseException>, org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TDatabaseException
      extends org.apache.thrift.TException
      implements org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseException>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TDatabaseException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `errorNumber`
    `java.lang.String` | `message`
    `static java.util.Map<TDatabaseException._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `TDatabaseExceptionType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDatabaseException()`
    `TDatabaseException(TDatabaseException other)` Performs a deep copy on other.
    `TDatabaseException(TDatabaseExceptionType type, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TDatabaseException other)`
    `TDatabaseException` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TDatabaseException that)`
    `TDatabaseException._Fields` | `fieldForId(int fieldId)`
    `int` | `getErrorNumber()`
    `java.lang.Object` | `getFieldValue(TDatabaseException._Fields field)`
    `java.lang.String` | `getMessage()`
    `TDatabaseExceptionType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isSet(TDatabaseException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetErrorNumber()` Returns true if field errorNumber is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMessage()` Returns true if field message is set (has been assigned a value) and false otherwise
    `boolean` | `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TDatabaseException` | `setErrorNumber(int errorNumber)`
    `void` | `setErrorNumberIsSet(boolean value)`
    `void` | `setFieldValue(TDatabaseException._Fields field, java.lang.Object value)`
    `TDatabaseException` | `setMessage(java.lang.String message)`
    `void` | `setMessageIsSet(boolean value)`
    `TDatabaseException` | `setType(TDatabaseExceptionType type)`
    `void` | `setTypeIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetErrorNumber()`
    `void` | `unsetMessage()`
    `void` | `unsetType()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public TDatabaseExceptionType type

      See Also:
        `TDatabaseExceptionType`

    - #### message

          public java.lang.String message

    - #### errorNumber

          public int errorNumber

    - #### metaDataMap

          public static final java.util.Map<TDatabaseException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TDatabaseException

          public TDatabaseException()

    - #### TDatabaseException

          public TDatabaseException(TDatabaseExceptionType type,
                                    java.lang.String message)

    - #### TDatabaseException

          public TDatabaseException(TDatabaseException other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TDatabaseException deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### getType

          public TDatabaseExceptionType getType()

      See Also:
        `TDatabaseExceptionType`

    - #### setType

          public TDatabaseException setType(TDatabaseExceptionType type)

      See Also:
        `TDatabaseExceptionType`

    - #### unsetType

          public void unsetType()

    - #### isSetType

          public boolean isSetType()

      Returns true if field type is set (has been assigned a value) and false otherwise

    - #### setTypeIsSet

          public void setTypeIsSet(boolean value)

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### setMessage

          public TDatabaseException setMessage(java.lang.String message)

    - #### unsetMessage

          public void unsetMessage()

    - #### isSetMessage

          public boolean isSetMessage()

      Returns true if field message is set (has been assigned a value) and false otherwise

    - #### setMessageIsSet

          public void setMessageIsSet(boolean value)

    - #### getErrorNumber

          public int getErrorNumber()

    - #### setErrorNumber

          public TDatabaseException setErrorNumber(int errorNumber)

    - #### unsetErrorNumber

          public void unsetErrorNumber()

    - #### isSetErrorNumber

          public boolean isSetErrorNumber()

      Returns true if field errorNumber is set (has been assigned a value) and false otherwise

    - #### setErrorNumberIsSet

          public void setErrorNumberIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TDatabaseException._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TDatabaseException._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### isSet

          public boolean isSet(TDatabaseException._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TDatabaseException that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TDatabaseException other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TDatabaseException>`

    - #### fieldForId

          public TDatabaseException._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TDatabaseException,TDatabaseException._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.